#ifndef __INTERP_PROTO_H__
#define __INTERP_PROTO_H__
/* actual functions in INTERP_MODRM.C */

int hsw_modrm_32_byte(Interp_ENV *env, unsigned char *PC, Interp_VAR *interp_var);
int hsw_modrm_32_word(Interp_ENV *env, unsigned char *PC, Interp_VAR *interp_var);
int hsw_modrm_32_quad(Interp_ENV *env, unsigned char *PC, Interp_VAR *interp_var);

int hsw_modrm_16_byte(Interp_ENV *env, unsigned char *PC, Interp_VAR *interp_var);
int hsw_modrm_16_word(Interp_ENV *env, unsigned char *PC, Interp_VAR *interp_var);
int hsw_modrm_16_quad(Interp_ENV *env, unsigned char *PC, Interp_VAR *interp_var);

/* actual functions in INTERP_MAIN.C */

unsigned int trans_interp_flags(Interp_ENV *env, Interp_VAR *interp_var);
void trans_flags_to_interp(Interp_ENV *env, Interp_VAR *interp_var, unsigned int flags);

#endif /* __INTERP_PROTO_H__ */
